<?php
/**
 * @filesource: radar.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$width = "500";
$height = "400";
$draw_option = "grow();";
$data = array( array(4,8,5,2,3),array(9,5,6,3,5));
$labels = array('Marvin', 'Barry', 'Gary','Dave','Paul');

$chart = new rgraph_chart("cvs", $data, "Radar");

$options = new rgraph_options("default.ini");
$options->set_option("title", "An animated Radar Chart with interactive Key");
$options->set_option("labels",$labels);
$options->set_option("titleY",15);
$options->setColorOpacity(0.6);
$options->set_option("key", array("Winners", "Losses"));
$options->set_option("keyPosition", "margin");
$options->set_option("keyPositionY", 360);
$options->set_option("keyInteractive", true);
$options->set_tooltip($data, "#label#: #val# #key#", true);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

$canvas_style = "background-repeat: no-repeat; background-image: url(images/watermark.png); background-size: 100% 100%;";

include_once ($templates . $template);
?>



