<?php
/**
 * @filesource: default_pie.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders a single chart
 */
include_once "default_header.php";
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>">
    [No canvas support]
</canvas>
<script type="text/javascript">
jQuery(document).ready(function() {
 
  <?php echo $event_script; ?>

  RGraph.reset('<?php echo $id; ?>');
      
  var chart = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>
 
	    /**
	    * Add the event listener function.  This handles the click on
	    * all segments
	    */
	    chart.onclick = function (e, shape)
	    {
	        var obj = shape['object'];
	        obj.set('exploded', []);
	        obj.explodeSegment(shape['index'], 20);
	    }

	    /**
	    * Add the event listener functions.
	    *  This handles the mousemove all segments
	    */
	    chart.onmousemove = function (e, shape)
	    {
	        e.target.style.cursor = 'pointer';
	    }


	    /**
	    * This function resets the pie before the above two functions fire.
	    *  Note that the event is registered to use the capture phase
	    *  of click event so that it will fire before the above events.
	    */
	    window.addEventListener('click', function (e)
	    {
	        chart.set('exploded', []);
	        RGraph.redraw();
	    }, true);
  
});
</script>